Get task
Returns one task with assignees, tags, supplies and report link.
GET https://cotlet.dev/api/v1/breezeway/tasks/{task_id}
read
Returns the full task as the task page shows it: description, status, scheduled date and time, assignees with their response, tags and supplies. Use list_task_comments for the comments.
Parameters
| Name | Type | Description |
|---|---|---|
| task_id integer required | integer | Breezeway task ID. |
Request
curl https://cotlet.dev/api/v1/breezeway/tasks/1 \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("breezeway", "get_task", {"task_id":1}) const result = await cotlet.call('breezeway', 'get_task', {"task_id":1}); cotlet call breezeway get_task --data '{"task_id":1}' Example response
{
"task_id": 4417295,
"name": "Turnover clean, Harbor View 4",
"property": "Harbor View 4",
"department": "housekeeping",
"priority": "normal",
"status": "Completed",
"scheduled_date": "2026-10-20",
"assignees": [
{
"person_id": 136,
"name": "Ana Lopez"
}
],
"tags": [],
"report_url": "https://portal.breezeway.io/task/report/example"
}